import { GetStaticProps } from "next";

import { getCurrentTerm, getEventsPageProps } from "@/lib/events";

import TermPage, { Props } from "./[year]/[term]";

export default TermPage;

export const getStaticProps: GetStaticProps<Props> = async () => {
  return { props: await getEventsPageProps(getCurrentTerm()) };
};
